Subject: Re: bug#17598: Emacs pretest 24.3.91 - AIX - SIGSEV when customize

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jun 2014 18:03:07 +0300

> Date: Sun, 01 Jun 2014 00:12:24 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii wrote:
> 
> > The changes to lisp.h intended to enhance debugging on AIX broke
> > debugging when GCC 3.x is used to compile the code: I get "No symbol
> > "VALMASK" in current context." when xbacktrace is invoked.
> 
> Sorry about that.  It appears you ran into GCC bug 23336, an old bug I 
> wasn't familiar with.  By the time this bug was fixed in 2006, the GCC 
> folks had stopped maintaining GCC 3.x.  See:
> 
> https://gcc.gnu.org/bugzilla/show_bug.cgi?id=23336

Yes, I think you're right.

> > I hope there's a way to
> > define the relevant macros only for AIX, so that other platforms
> > aren't affected, certainly not during the pretest.
> 
> I gave that a shot in emacs-24 bzr 117185.

Thank you, this works for me.